%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %global tcl_sitelib %{_datadir}/tcl%{tcl_version}}

%global shortname tclnagios
%global commit0 1009914f0683f1c7fe9f94ed2cbe895008c5e6d1
%global gittag0 v1.3
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           tcl-tclnagios
Version:        1.3
Release:        3%{?dist}
Summary:        Library to assist with writing Nagios plugins in Tcl

Group:          Development/Libraries
License:        LGPLv2
URL:            https://github.com/gitwart/%{shortname}
Source0:        https://github.com/gitwart/%{shortname}/archive/%{gittag0}/%{shortname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:       tclnagios = %{version}-%{release}
BuildArch:      noarch
BuildRequires:  tcl tcl-devel
Requires:       tcl tcllib

%description
A set of library functions to make it easier to write Nagios plugins in Tcl.


%prep
%autosetup -n %{shortname}-%{version}
chmod a-x examples/*

%build
%configure --datadir=%{tcl_sitelib}
%make_build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc examples/
%license COPYING
%{tcl_sitelib}/%{shortname}%{version}



%changelog
* Tue Aug 8 2017 Michael Thomas <wart@kobold.org> 1.3-3
- Include license file, example code

* Tue Aug 8 2017 Michael Thomas <wart@kobold.org> 1.3-2
- Change define to global

* Mon Aug 7 2017 Michael Thomas <wart@kobold.org> 1.3-1
- Bump version after moving project to github

* Mon Jan 11 2016 Michael Thomas <thomas@hep.caltech.edu> 1.2-2
- Fix boundary condition logic for comparing values to a range

* Wed Aug 17 2011 Michael Thomas <thomas@hep.caltech.edu> 1.2-1
- Added utility function for comparing numeric values to a range

* Fri Sep 24 2010 Michael Thomas <thomas@hep.caltech.edu> 1.1-2.3
- Bump release to test koji builds

* Thu Sep 9 2010 Michael Thomas <thomas@hep.caltech.edu> 1.1-2.2
- Bump release to test koji builds

* Wed Sep 8 2010 Michael Thomas <thomas@hep.caltech.edu> 1.1-2.1
- Bump release to test koji builds

* Mon Apr 13 2009 Michael Thomas <thomas@hep.caltech.edu> 1.1-2
- Bump release to ensure that clients have the latest version.

* Thu Jul 10 2008 Michael Thomas <thomas@hep.caltech.edu> 1.1-1
- Support for publishing passive results via send_nsca
- Better command line processing

* Sun Sep 9 2007 Michael Thomas <thomas@hep.caltech.edu> 1.0-1
- Initial package
